﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Drawing;
using System.IO;

namespace DisplayASimpleMap
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-140, 60, 140, -60);
                Map1.MapUnit = GeographyUnit.DecimalDegree;
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
                Page.Session[Map1.ID + "Your session id"] = string.Format("the value of session[{0} Your session id] is {1}", Map1.ID,this.TextBox1.Text);
                // Actually, every page only have one session object and the different value you saved would be indentified by the session id.
                // So only we need to do is just assign a different key to the session. And that is the reason we add the Map1.ID as the prefix for session id.
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            if (Page.Session[Map1.ID + "Your session id"] != null)
            {
                this.TextBox1.Text = Page.Session[Map1.ID + "Your session id"].ToString();
            }
        }

    }
}
